package com.tanpu.fund.api;

import com.tanpu.common.model.fund.req.FundNoNavReq;
import com.tanpu.common.model.fund.resq.FundNoNavResp;
import com.tanpu.common.resp.CommonResp;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author zyh
 * @description 无净值产品
 */
public interface IfaFundApi {

    @ApiOperation("新增无净值产品")
    @PostMapping("/fundnonav/ifa/add")
    CommonResp fundnonavAdd(@RequestBody FundNoNavReq req);

    @ApiOperation("编辑无净值产品")
    @PostMapping("/fundnonav/ifa/edit")
    CommonResp fundnonavEdit(@RequestBody FundNoNavReq req);

    @ApiOperation("查询无净值产品详情")
    @GetMapping("/fundnonav/ifa/detail")
    CommonResp<FundNoNavResp> fundnonavDetail(@RequestParam("id") String id);
}
