package com.tanpu.fund.api;

import com.tanpu.common.model.product.resp.FundCompanySimpleVO;
import com.tanpu.common.model.product.resp.FundCompanyVO;
import com.tanpu.common.resp.CommonResp;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @description: 社区调用API服务
 * @author: zejia zj wu
 * @create: 2021-07-29 10:13
 **/
@Api(tags = "社区调用API服务")
public interface ProductForCommunityApi {

    @ApiOperation("基金公司-简单信息")
    @GetMapping("/fund/companyInfoSimple")
    CommonResp<FundCompanySimpleVO> getFundCompanyInfoSimple(@ApiParam("基金公司id") @RequestParam("id") String id);

    @ApiOperation("私募类型基金公司-持有产品数")
    @GetMapping("/fund/companyFundCount")
    CommonResp<FundCompanySimpleVO> getCompanyFundCount(@ApiParam("基金公司id") @RequestParam("id") String id);
}
