package com.tanpu.fund.controller;

import com.tanpu.common.enums.BizEnums;
import com.tanpu.common.model.product.resp.FundCompanySimpleVO;
import com.tanpu.common.resp.CommonResp;
import com.tanpu.fund.api.ProductForCommunityApi;
import com.tanpu.fund.entity.generator.CompanyInfo;
import com.tanpu.fund.entity.generator.FundInfoExample;
import com.tanpu.fund.mapper.generator.CompanyInfoMapper;
import com.tanpu.fund.mapper.generator.FundInfoMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @description:
 * @author: zejia zj wu
 * @create: 2021-07-29 10:22
 **/
@RestController
@Slf4j
public class ProductForCommunityController implements ProductForCommunityApi {
    @Resource
    private CompanyInfoMapper companyInfoMapper;
    @Resource
    private FundInfoMapper fundInfoMapper;

    @Override
    public CommonResp<FundCompanySimpleVO> getFundCompanyInfoSimple(String id) {
        CompanyInfo companyInfo = this.companyInfoMapper.selectByPrimaryKey(id);
        if (companyInfo == null) {
            return CommonResp.error(CommonResp.OBJECT_NOT_FOUND_EXCEPTION_STATUS_CODE, CommonResp.OBJECT_NOT_FOUND_EXCEPTION_MESSAGE);
        }
        FundCompanySimpleVO build = FundCompanySimpleVO.builder().establishDate(companyInfo.getEstablishDate().getTime())
                .registerNumber(companyInfo.getRegisterNumber()).build();

        return CommonResp.success(build);
    }

    @Override
    public CommonResp<FundCompanySimpleVO> getCompanyFundCount(String id) {
        FundInfoExample fundInfoExample = new FundInfoExample();
        fundInfoExample.createCriteria().andTrustIdEqualTo(id).andDeleteTagEqualTo(BizEnums.DeleteTag.tag_init);
        long l = fundInfoMapper.countByExample(fundInfoExample);
        FundCompanySimpleVO build = FundCompanySimpleVO.builder().fundCount(l).build();
        return CommonResp.success(build);
    }
}
