package com.tanpu.fund.entity.generator;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class IfaImportedFundInfo {
    private String id;

    private String fundName;

    /**
     * 基金公司
     */
    private String companyName;

    /**
     * 子策略
     */
    private Integer substrategy;

    /**
     * 投资策略
     */
    private Integer strategy;

    /**
     * 基金经理
     */
    private String manageName;

    /**
     * 风险等级
     */
    private String riskLevel;

    /**
     * 成立日期
     */
    private Date inceptionDate;

    /**
     * 备案编号
     */
    private String registerNumber;

    /**
     * 开放日
     */
    private String openDay;

    /**
     * 认购起点（万）
     */
    private BigDecimal minInvestmentShare;

    /**
     * 追加起点（万）
     */
    private BigDecimal subsequentInvestmentShare;

    /**
     * 认购费率
     */
    private BigDecimal subscriptionFee;

    /**
     * 赎回费率
     */
    private BigDecimal redemptionFee;

    /**
     * 管理费率
     */
    private BigDecimal managementFee;

    /**
     * 业绩报酬
     */
    private BigDecimal performanceFee;

    /**
     * 业绩计提方式
     */
    private String performanceCalculateMethod;

    /**
     * ifa id
     */
    private String ifaId;

    private Integer hasNav;

    private Date createTime;

    private String createBy;

    private Date updateTime;

    private String updateBy;

    private Integer deleteTag;

    /**
     * 净值更新周期
     */
    private Integer navFrequency;

    /**
     * 机构id
     */
    private String orgId;

    /**
     * 募集开始时间
     */
    private Date raiseStarttime;

    /**
     * 募集结束时间
     */
    private Date raiseEndtime;

    /**
     * 产品类型 0：无净值产品 1：有净值产品
     */
    private Integer proSubType;

    /**
     * 产品摘要
     */
    private String proAbstract;

    /**
     * 产品详情
     */
    private String proInfoDesc;
}
