package com.tanpu.fund.entity.generator;

import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class IfaImportedNonavFund {
    /**
    * id
    */
    private String id;

    /**
    * 无净值基金名称
    */
    private String fundName;

    /**
    * 募集期开始结束时间
    */
    private String startEndDate;

    /**
    * 产品概要
    */
    private String summary;

    /**
    * 产品详情
    */
    private String detail;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 修改时间
    */
    private Date updateTime;

    /**
    * 0正常 1删除
    */
    private Integer deleteTag;

    /**
    * 理财师id
    */
    private String ifaId;

    /**
    * 机构id
    */
    private String orgId;

    /**
    * 基金附件pdf
    */
    private String fundFile;

    /**
    * 基金图片
    */
    private String fundPng;
}
