package com.tanpu.fund.feign.publicfund;

import com.tanpu.common.model.product.resp.FundIndexBasicResp;
import com.tanpu.common.model.product.resp.TrackRecordVO;
import com.tanpu.common.resp.CommonResp;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = "service-fundpublic", url = "${tanpu.fundpublic.svc:}", fallbackFactory = FeignbackForPublicfund.class, path = "/fundpublic")
public interface FeignClientForPublicfund {

    @ApiOperation("对比指数")
    @GetMapping("/fund/indexes")
    CommonResp<List<FundIndexBasicResp>> fundIndexes();

    @ApiOperation("历史业绩 对比指数")
    @GetMapping("/track/recor/index")
    CommonResp<List<TrackRecordVO>> getTrackRecordInfoIndex(@ApiParam("对比指数ID") @RequestParam("indexId") String indexId);

}
