package com.tanpu.fund.service;

import com.tanpu.common.model.Page;
import com.tanpu.common.model.Pageable;
import com.tanpu.common.model.adm.req.IfaNetImportReq;
import com.tanpu.common.model.fund.req.FundRankReq;
import com.tanpu.common.model.fund.resq.FundRankResp;
import com.tanpu.common.model.privatefund.resp.FundNavMessage;
import com.tanpu.common.model.product.req.ProductListReq;
import com.tanpu.common.model.product.resp.DynamicRetreatVO;
import com.tanpu.common.model.product.resp.FundInfoSimpleListResp;
import com.tanpu.common.model.product.resp.ProductInfoVO;
import com.tanpu.common.model.product.req.NetReq;
import com.tanpu.common.model.product.req.ProductInfoReq;
import com.tanpu.common.model.product.resp.*;
import com.tanpu.common.resp.CommonResp;
import org.springframework.web.multipart.MultipartFile;
import com.tanpu.common.model.tanpuroom.Type;

import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
public interface ProductService {
    Page<ProductInfoVO> getProductList(ProductInfoReq req);

    ProductInfoVO getProductDetail(String id);

    List<ProductInfoVO> getProductList(List<String> ids);

    Page<ProductInfoVO> getNotTanpuProduct(ProductInfoReq req);

    UnitNetVO getUnitNet(String id, String ratioId, String type);

    UnitNetVO getProfitTrend(String id, String ratioId, String type, Long beginTime, Long endTime);

    Page<NetVO> getNetList(NetReq req);


    List<BonusRatioVO> getBonusRatio(String id);

    List<TrackRecordVO> getTrackRecord(String id);

    Page<TrackNetVO> getTrackNetList(String id, Pageable page);

    List<RiskRatingVO> getRiskRating(String id);

    List<FundManagerVO> getFundManager(String id);

    FundRecordVO getFundRecord(String id);

    FundNoticeVO getFundNoticeInfo(String id);

    FundCompanyVO getFundCompany(String id);

    List<ProductInfoVO> getProductInfolist(ProductListReq req);

    List<ProductInfoVO> getNotTanpuProductInfolist(ProductListReq req);

    DynamicRetreatVO getDynamicRetreat(String id);

    ProductInfoVO getPrivateDetail(String id);

    List<TrackRecordVO> getHistoryprofit(String id);

    Page<TrackNetVO> getPrivateFundTrackNetList(String id, Pageable page);

    List<RiskRatingVO> getPrivateFundRiskRating(String id);

    List<ProductInfoVO> getPrivateFundList(List<String> ids);

    List<ProductInfoVO> getProductListNotNet(List<String> ids);

    List<FundInfoSimpleListResp> getSimpleList(List<String> idList);

    List<FundInfoSimpleListResp> getPrivateSimpleList(List<String> idList);

    List<FundSameResp> querySamefund(String fundId);

    List<FundSameResp> getRemmendPrivateFundList(String fundId);

    CommonResp<List<FundNavMessage>> importNet(MultipartFile file, String fundId);

    List<Type> getSimpleFundList(List<String> list);

    CommonResp<List<FundNavMessage>> importNetCheckSave(IfaNetImportReq req);

    Page<FundRankResp> getFundRank(FundRankReq req);

    Long getFundRankCountInfo(FundRankReq req);

    List<Type> getFundLikeShortName(String productName, Pageable page);

    List<FundSameResp> getNoNetfund(String fundId);

    List<ProductInfoVO> querybyids(List<String> ids);

    List<FundInfoSimpleListResp> getNoNavFundSimpleList(List<String> idList);
}
